Package com.google.protobuf

# Interface DescriptorProtos.EnumDescriptorProtoOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `DescriptorProtos.EnumDescriptorProto`, `DescriptorProtos.EnumDescriptorProto.Builder`

Enclosing class:
  `DescriptorProtos`

public static interface DescriptorProtos.EnumDescriptorProtoOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`optional string name = 1 [json_name = "name"];`
`ByteString`
`getNameBytes()`
`optional string name = 1 [json_name = "name"];`
`DescriptorProtos.EnumOptions`
`getOptions()`
`optional .google.protobuf.EnumOptions options = 3 [json_name = "options"];`
`DescriptorProtos.EnumOptionsOrBuilder`
`getOptionsOrBuilder()`
`optional .google.protobuf.EnumOptions options = 3 [json_name = "options"];`
`String`
`getReservedName(int index)`
`repeated string reserved_name = 5 [json_name = "reservedName"];`
`ByteString`
`getReservedNameBytes(int index)`
`repeated string reserved_name = 5 [json_name = "reservedName"];`
`int`
`getReservedNameCount()`
`repeated string reserved_name = 5 [json_name = "reservedName"];`
`List<String>`
`getReservedNameList()`
`repeated string reserved_name = 5 [json_name = "reservedName"];`
`DescriptorProtos.EnumDescriptorProto.EnumReservedRange`
`getReservedRange(int index)`
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`
`int`
`getReservedRangeCount()`
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`
`List<DescriptorProtos.EnumDescriptorProto.EnumReservedRange>`
`getReservedRangeList()`
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`
`DescriptorProtos.EnumDescriptorProto.EnumReservedRangeOrBuilder`
`getReservedRangeOrBuilder(int index)`
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`
`List<? extends DescriptorProtos.EnumDescriptorProto.EnumReservedRangeOrBuilder>`
`getReservedRangeOrBuilderList()`
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`
`DescriptorProtos.EnumValueDescriptorProto`
`getValue(int index)`
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`
`int`
`getValueCount()`
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`
`List<DescriptorProtos.EnumValueDescriptorProto>`
`getValueList()`
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`
`DescriptorProtos.EnumValueDescriptorProtoOrBuilder`
`getValueOrBuilder(int index)`
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`
`List<? extends DescriptorProtos.EnumValueDescriptorProtoOrBuilder>`
`getValueOrBuilderList()`
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`
`boolean`
`hasName()`
`optional string name = 1 [json_name = "name"];`
`boolean`
`hasOptions()`
`optional .google.protobuf.EnumOptions options = 3 [json_name = "options"];`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasName

boolean hasName()
`optional string name = 1 [json_name = "name"];`

Returns:
  Whether the name field is set.

### getName

String getName()
`optional string name = 1 [json_name = "name"];`

Returns:
  The name.

### getNameBytes

ByteString getNameBytes()
`optional string name = 1 [json_name = "name"];`

Returns:
  The bytes for name.

### getValueList

List<DescriptorProtos.EnumValueDescriptorProto> getValueList()
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`

### getValue

DescriptorProtos.EnumValueDescriptorProto getValue(int index)
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`

### getValueCount

int getValueCount()
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`

### getValueOrBuilderList

List<? extends DescriptorProtos.EnumValueDescriptorProtoOrBuilder> getValueOrBuilderList()
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`

### getValueOrBuilder

DescriptorProtos.EnumValueDescriptorProtoOrBuilder getValueOrBuilder(int index)
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`

### hasOptions

boolean hasOptions()
`optional .google.protobuf.EnumOptions options = 3 [json_name = "options"];`

Returns:
  Whether the options field is set.

### getOptions

DescriptorProtos.EnumOptions getOptions()
`optional .google.protobuf.EnumOptions options = 3 [json_name = "options"];`

Returns:
  The options.

### getOptionsOrBuilder

DescriptorProtos.EnumOptionsOrBuilder getOptionsOrBuilder()
`optional .google.protobuf.EnumOptions options = 3 [json_name = "options"];`

### getReservedRangeList

List<DescriptorProtos.EnumDescriptorProto.EnumReservedRange> getReservedRangeList()
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`

### getReservedRange

DescriptorProtos.EnumDescriptorProto.EnumReservedRange getReservedRange(int index)
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`

### getReservedRangeCount

int getReservedRangeCount()
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`

### getReservedRangeOrBuilderList

List<? extends DescriptorProtos.EnumDescriptorProto.EnumReservedRangeOrBuilder> getReservedRangeOrBuilderList()
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`

### getReservedRangeOrBuilder

DescriptorProtos.EnumDescriptorProto.EnumReservedRangeOrBuilder getReservedRangeOrBuilder(int index)
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`

### getReservedNameList

List<String> getReservedNameList()
`repeated string reserved_name = 5 [json_name = "reservedName"];`

Returns:
  A list containing the reservedName.

### getReservedNameCount

int getReservedNameCount()
`repeated string reserved_name = 5 [json_name = "reservedName"];`

Returns:
  The count of reservedName.

### getReservedName

String getReservedName(int index)
`repeated string reserved_name = 5 [json_name = "reservedName"];`

Parameters:
  `index` - The index of the element to return.
Returns:
  The reservedName at the given index.

### getReservedNameBytes

ByteString getReservedNameBytes(int index)
`repeated string reserved_name = 5 [json_name = "reservedName"];`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the reservedName at the given index.